summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure142
1 files changed, 139 insertions, 3 deletions
diff --git a/configure b/configure
index 1d29674e0..98a7bb261 100755
--- a/configure
+++ b/configure
@@ -203,7 +203,7 @@ if as_func_ret_failure; then
203 echo as_func_ret_failure succeeded. 203 echo as_func_ret_failure succeeded.
204fi 204fi
205 205
206if (set x; as_func_ret_success y && test x = \"\$1\" ); then 206if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
207 : 207 :
208else 208else
209 exitcode=1 209 exitcode=1
@@ -407,7 +407,7 @@ if as_func_ret_failure; then
407 echo as_func_ret_failure succeeded. 407 echo as_func_ret_failure succeeded.
408fi 408fi
409 409
410if (set x; as_func_ret_success y && test x = \"\$1\" ); then 410if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
411 : 411 :
412else 412else
413 exitcode=1 413 exitcode=1
@@ -7113,7 +7113,118 @@ cat >>confdefs.h <<\_ACEOF
7113#define SSH_TUN_PREPEND_AF 1 7113#define SSH_TUN_PREPEND_AF 1
7114_ACEOF 7114_ACEOF
7115 7115
7116 ;; 7116 { echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5
7117echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6; }
7118 cat >conftest.$ac_ext <<_ACEOF
7119/* confdefs.h. */
7120_ACEOF
7121cat confdefs.h >>conftest.$ac_ext
7122cat >>conftest.$ac_ext <<_ACEOF
7123/* end confdefs.h. */
7124#include <Security/AuthSession.h>
7125int
7126main ()
7127{
7128SessionCreate(0, 0);
7129 ;
7130 return 0;
7131}
7132_ACEOF
7133rm -f conftest.$ac_objext
7134if { (ac_try="$ac_compile"
7135case "(($ac_try" in
7136 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7137 *) ac_try_echo=$ac_try;;
7138esac
7139eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7140 (eval "$ac_compile") 2>conftest.er1
7141 ac_status=$?
7142 grep -v '^ *+' conftest.er1 >conftest.err
7143 rm -f conftest.er1
7144 cat conftest.err >&5
7145 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7146 (exit $ac_status); } && {
7147 test -z "$ac_c_werror_flag" ||
7148 test ! -s conftest.err
7149 } && test -s conftest.$ac_objext; then
7150 ac_cv_use_security_session_api="yes"
7151
7152cat >>confdefs.h <<\_ACEOF
7153#define USE_SECURITY_SESSION_API 1
7154_ACEOF
7155
7156 LIBS="$LIBS -framework Security"
7157 { echo "$as_me:$LINENO: result: yes" >&5
7158echo "${ECHO_T}yes" >&6; }
7159else
7160 echo "$as_me: failed program was:" >&5
7161sed 's/^/| /' conftest.$ac_ext >&5
7162
7163 ac_cv_use_security_session_api="no"
7164 { echo "$as_me:$LINENO: result: no" >&5
7165echo "${ECHO_T}no" >&6; }
7166fi
7167
7168rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7169 { echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5
7170echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6; }
7171 cat >conftest.$ac_ext <<_ACEOF
7172/* confdefs.h. */
7173_ACEOF
7174cat confdefs.h >>conftest.$ac_ext
7175cat >>conftest.$ac_ext <<_ACEOF
7176/* end confdefs.h. */
7177#include <Kerberos/Kerberos.h>
7178int
7179main ()
7180{
7181cc_context_t c;
7182 (void) cc_initialize (&c, 0, NULL, NULL);
7183 ;
7184 return 0;
7185}
7186_ACEOF
7187rm -f conftest.$ac_objext
7188if { (ac_try="$ac_compile"
7189case "(($ac_try" in
7190 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7191 *) ac_try_echo=$ac_try;;
7192esac
7193eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7194 (eval "$ac_compile") 2>conftest.er1
7195 ac_status=$?
7196 grep -v '^ *+' conftest.er1 >conftest.err
7197 rm -f conftest.er1
7198 cat conftest.err >&5
7199 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7200 (exit $ac_status); } && {
7201 test -z "$ac_c_werror_flag" ||
7202 test ! -s conftest.err
7203 } && test -s conftest.$ac_objext; then
7204
7205cat >>confdefs.h <<\_ACEOF
7206#define USE_CCAPI 1
7207_ACEOF
7208
7209 LIBS="$LIBS -framework Security"
7210 { echo "$as_me:$LINENO: result: yes" >&5
7211echo "${ECHO_T}yes" >&6; }
7212 if test "x$ac_cv_use_security_session_api" = "xno"; then
7213 { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5
7214echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;}
7215 { (exit 1); exit 1; }; }
7216 fi
7217else
7218 echo "$as_me: failed program was:" >&5
7219sed 's/^/| /' conftest.$ac_ext >&5
7220
7221 { echo "$as_me:$LINENO: result: no" >&5
7222echo "${ECHO_T}no" >&6; }
7223
7224fi
7225
7226rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7227 ;;
7117*-*-dragonfly*) 7228*-*-dragonfly*)
7118 SSHDLIBS="$SSHDLIBS -lcrypt" 7229 SSHDLIBS="$SSHDLIBS -lcrypt"
7119 ;; 7230 ;;
@@ -7427,6 +7538,31 @@ _ACEOF
7427_ACEOF 7538_ACEOF
7428 7539
7429 ;; 7540 ;;
7541*-*-k*bsd*-gnu)
7542 check_for_libcrypt_later=1
7543 cat >>confdefs.h <<\_ACEOF
7544#define PAM_TTY_KLUDGE 1
7545_ACEOF
7546
7547 cat >>confdefs.h <<\_ACEOF
7548#define LOCKED_PASSWD_PREFIX "!"
7549_ACEOF
7550
7551 cat >>confdefs.h <<\_ACEOF
7552#define SPT_TYPE SPT_REUSEARGV
7553_ACEOF
7554
7555
7556cat >>confdefs.h <<\_ACEOF
7557#define _PATH_BTMP "/var/log/btmp"
7558_ACEOF
7559
7560
7561cat >>confdefs.h <<\_ACEOF
7562#define USE_BTMP 1
7563_ACEOF
7564
7565 ;;
7430*-*-linux*) 7566*-*-linux*)
7431 no_dev_ptmx=1 7567 no_dev_ptmx=1
7432 check_for_libcrypt_later=1 7568 check_for_libcrypt_later=1